# DataExchange
TKSTEPBase
StepBasic

# StepBasic_ProductConceptContext Class Reference

Representation of STEP entity ProductConceptContext
.

`#include <StepBasic_ProductConceptContext.hxx>`

Inheritance diagram for StepBasic_ProductConceptContext:

[legend]

## Public Member Functions

Standard_EXPORT | StepBasic_ProductConceptContext ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aApplicationContextElement_Name, const Handle(StepBasic_ApplicationContext)&aApplicationContextElement_FrameOfReference, const Handle(TCollection_HAsciiString)&aMarketSegmentType)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_TCollection_HAsciiString | MarketSegmentType () const
| Returns field MarketSegmentType .
Standard_EXPORT void | SetMarketSegmentType (const Handle(TCollection_HAsciiString)&MarketSegmentType)
| Set field MarketSegmentType .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_TCollection_HAsciiString | theMarketSegmentType

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_ProductConceptContext::StepBasic_ProductConceptContext | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_ProductConceptContext::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_ApplicationContextElement.

Standard_EXPORT void StepBasic_ProductConceptContext::Init | ( | const Handle(TCollection_HAsciiString)& | aApplicationContextElement_Name,
|  | const Handle(StepBasic_ApplicationContext)& | aApplicationContextElement_FrameOfReference,
|  | const Handle(TCollection_HAsciiString)& | aMarketSegmentType
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepBasic_ProductConceptContext::MarketSegmentType | ( |  | ) | const

Standard_EXPORT void StepBasic_ProductConceptContext::SetMarketSegmentType | ( | const Handle(TCollection_HAsciiString)& | MarketSegmentType | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepBasic_ProductConceptContext::theMarketSegmentType `[private]`

The documentation for this class was generated from the following file:

- StepBasic_ProductConceptContext.hxx